diff -pruN 2.28.0-1/debian/changelog 2.28.0-1ubuntu2/debian/changelog
--- 2.28.0-1/debian/changelog	2020-03-10 13:22:29.000000000 +0000
+++ 2.28.0-1ubuntu2/debian/changelog	2020-03-18 22:01:03.000000000 +0000
@@ -1,3 +1,22 @@
+webkit2gtk (2.28.0-1ubuntu2) focal; urgency=medium
+
+  * debian/patches/upstream_archs_fix.patch:
+    - workaround a regression on ppc64el, the fix is a temporary hackish
+      solution until upstreams comes with a proper one
+
+ -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 18 Mar 2020 23:01:03 +0100
+
+webkit2gtk (2.28.0-1ubuntu1) focal; urgency=medium
+
+  * Resynchronize on Debian
+  * debian/control:
+    - restore the build-depends on the wpe backends
+  * debian/rules:
+    - disable the wpe backend on Ubuntu from the rules instead, this way
+      we should be able to upstream the change to Debian
+
+ -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 11 Mar 2020 13:38:52 +0100
+
 webkit2gtk (2.28.0-1) experimental; urgency=medium
 
   * New upstream release.
diff -pruN 2.28.0-1/debian/patches/series 2.28.0-1ubuntu2/debian/patches/series
--- 2.28.0-1/debian/patches/series	2020-03-10 13:22:29.000000000 +0000
+++ 2.28.0-1ubuntu2/debian/patches/series	2020-03-18 22:01:03.000000000 +0000
@@ -9,3 +9,4 @@ prefer-pthread.patch
 dont-detect-sse2.patch
 use-python3.patch
 reduce-memory-overheads.patch
+upstream_archs_fix.patch
diff -pruN 2.28.0-1/debian/patches/upstream_archs_fix.patch 2.28.0-1ubuntu2/debian/patches/upstream_archs_fix.patch
--- 2.28.0-1/debian/patches/upstream_archs_fix.patch	1970-01-01 00:00:00.000000000 +0000
+++ 2.28.0-1ubuntu2/debian/patches/upstream_archs_fix.patch	2020-03-18 22:01:03.000000000 +0000
@@ -0,0 +1,16 @@
+# Description: workaround a regression on ppc64el, the fix will change
+# when upstream has a proper solution but that should do for now
+# Upstream: https://bugs.webkit.org/show_bug.cgi?id=209236
+Index: webkit2gtk-2.28.0/Source/JavaScriptCore/runtime/JSCConfig.h
+===================================================================
+--- webkit2gtk-2.28.0.orig/Source/JavaScriptCore/runtime/JSCConfig.h
++++ webkit2gtk-2.28.0/Source/JavaScriptCore/runtime/JSCConfig.h
+@@ -36,6 +36,8 @@ class VM;
+ 
+ #if CPU(ARM64) || PLATFORM(WATCHOS)
+ constexpr size_t PageSize = 16 * KB;
++#elif CPU(PPC64) || CPU(PPC64LE) || CPU(PPC)
++constexpr size_t PageSize = 64 * KB;
+ #else
+ constexpr size_t PageSize = 4 * KB;
+ #endif
diff -pruN 2.28.0-1/debian/rules 2.28.0-1ubuntu2/debian/rules
--- 2.28.0-1/debian/rules	2020-03-10 13:22:29.000000000 +0000
+++ 2.28.0-1ubuntu2/debian/rules	2020-03-11 12:38:52.000000000 +0000
@@ -71,9 +71,14 @@ else
 	EXTRA_CMAKE_ARGUMENTS += -DENABLE_BUBBLEWRAP_SANDBOX=OFF
 endif
 
+# Disable WPE on Ubuntu since the require backend is in universe
+ifneq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
 # Disable the WPE renderer if libwpebackend-fdo-1.0-dev is not available
-ifeq ($(shell pkg-config --exists wpebackend-fdo-1.0 && echo yes),yes)
+ ifeq ($(shell pkg-config --exists wpebackend-fdo-1.0 && echo yes),yes)
 	EXTRA_CMAKE_ARGUMENTS += -DUSE_WPE_RENDERER=ON
+ else
+	EXTRA_CMAKE_ARGUMENTS += -DUSE_WPE_RENDERER=OFF
+ endif
 else
 	EXTRA_CMAKE_ARGUMENTS += -DUSE_WPE_RENDERER=OFF
 endif
